<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:36 UTC 2019 -->
<title>MapContainer (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MapContainer (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapContainer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/MapCircle.PatternStyle.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/MapFragment.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/MapContainer.html" target="_top">Frames</a></li>
<li><a href="MapContainer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.classes.inherited.from.class.com.here.android.mpa.mapping.MapObject">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.mapping</div>
<h2 title="Class MapContainer" class="title">Class MapContainer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/here/android/mpa/common/ViewObject.html" title="class in com.here.android.mpa.common">com.here.android.mpa.common.ViewObject</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">com.here.android.mpa.mapping.MapObject</a></li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.mapping.MapContainer</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">MapContainer</span>
extends <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">MapObject</a></pre>
<div class="block">Represents a container that determines the stacking order of objects on a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>.
 Applications can add certain types of <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> objects into a <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a>. For
 more details, refer to <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html#addMapObject-com.here.android.mpa.mapping.MapObject-"><code>MapContainer.addMapObject(MapObject)</code></a>.
 <p>
 You can use <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setVisible-boolean-"><code>MapContainer.setVisible(boolean)</code></a> to control
 whether the objects in the container are visible. If <code>MapContainer.setVisible(true)</code>, then
 the visibility settings of each map object in the container are used.
 </p>
 <p>
 Unlike other map objects, <code>MapContainer</code> does not support the use of visibility masks, so
 you cannot set container visibility on a zoom level basis.
 </p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setVisible-boolean-"><code>MapObject.setVisible(boolean)</code></a>, 
<a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setVisibleMask-int-"><code>MapObject.setVisibleMask(int)</code></a>, 
<a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setVisibleMask-int-int-"><code>MapObject.setVisibleMask(int, int)</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.com.here.android.mpa.mapping.MapObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">MapObject</a></h3>
<code><a href="../../../../../com/here/android/mpa/mapping/MapObject.Type.html" title="enum in com.here.android.mpa.mapping">MapObject.Type</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapContainer.html#MapContainer--">MapContainer</a></span>()</code>
<div class="block">Creates an empty <code>MapContainer</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapContainer.html#addMapObject-com.here.android.mpa.mapping.MapObject-">addMapObject</a></span>(<a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">MapObject</a> object)</code>
<div class="block">Adds a <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> to this <code>MapContainer</code>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">MapObject</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapContainer.html#getAllMapObjects--">getAllMapObjects</a></span>()</code>
<div class="block">Returns the list of all <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> objects within this <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapContainer.html#removeAllMapObjects--">removeAllMapObjects</a></span>()</code>
<div class="block">Removes all <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> objects currently within this <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapContainer.html#removeMapObject-com.here.android.mpa.mapping.MapObject-">removeMapObject</a></span>(<a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">MapObject</a> object)</code>
<div class="block">Removes the specified <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> from this <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.here.android.mpa.mapping.MapObject">
<!--   -->
</a>
<h3>Methods inherited from class com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">MapObject</a></h3>
<code><a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getOverlayType--">getOverlayType</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getParent--">getParent</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getReserveOverlayType--">getReserveOverlayType</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getType--">getType</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getVisibleMask--">getVisibleMask</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getZIndex--">getZIndex</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#isVisible--">isVisible</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#resetVisibleMask-boolean-">resetVisibleMask</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setOverlayType-com.here.android.mpa.mapping.MapOverlayType-">setOverlayType</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setReserveOverlayType-com.here.android.mpa.mapping.MapOverlayType-">setReserveOverlayType</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setVisible-boolean-">setVisible</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setVisibleMask-int-">setVisibleMask</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setVisibleMask-int-int-">setVisibleMask</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setZIndex-int-">setZIndex</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#unsetVisibleMask-int-">unsetVisibleMask</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#unsetVisibleMask-int-int-">unsetVisibleMask</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.here.android.mpa.common.ViewObject">
<!--   -->
</a>
<h3>Methods inherited from class com.here.android.mpa.common.<a href="../../../../../com/here/android/mpa/common/ViewObject.html" title="class in com.here.android.mpa.common">ViewObject</a></h3>
<code><a href="../../../../../com/here/android/mpa/common/ViewObject.html#equals-java.lang.Object-">equals</a>, <a href="../../../../../com/here/android/mpa/common/ViewObject.html#getBaseType--">getBaseType</a>, <a href="../../../../../com/here/android/mpa/common/ViewObject.html#hashCode--">hashCode</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MapContainer--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MapContainer</h4>
<pre>public MapContainer()</pre>
<div class="block">Creates an empty <code>MapContainer</code>.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addMapObject-com.here.android.mpa.mapping.MapObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addMapObject</h4>
<pre>public boolean addMapObject(<a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">MapObject</a> object)</pre>
<div class="block">Adds a <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> to this <code>MapContainer</code>. Only the following types of
 <code>MapObject</code> can be added:
 <ul>
 <li><a href="../../../../../com/here/android/mpa/mapping/MapMarker.html" title="class in com.here.android.mpa.mapping"><code>MapMarker</code></a> objects</li>
 <li><a href="../../../../../com/here/android/mpa/mapping/MapLabeledMarker.html" title="class in com.here.android.mpa.mapping"><code>MapLabeledMarker</code></a> objects</li>
 <li><a href="../../../../../com/here/android/mpa/mapping/MapScreenMarker.html" title="class in com.here.android.mpa.mapping"><code>MapScreenMarker</code></a> objects</li>
 <li><a href="../../../../../com/here/android/mpa/mapping/MapCircle.html" title="class in com.here.android.mpa.mapping"><code>MapCircle</code></a> objects</li>
 <li><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping"><code>MapPolyline</code></a> objects</li>
 <li><a href="../../../../../com/here/android/mpa/mapping/MapPolygon.html" title="class in com.here.android.mpa.mapping"><code>MapPolygon</code></a> objects</li>
 </ul>
 <p>
 For a complete enumeration of available <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> types, refer to
 <a href="../../../../../com/here/android/mpa/mapping/MapObject.Type.html" title="enum in com.here.android.mpa.mapping"><code>MapObject.Type</code></a>.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - A <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> to add to this <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if the <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> was added successfully to this <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a>,
         false otherwise</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapContainer.html#removeMapObject-com.here.android.mpa.mapping.MapObject-"><code>MapContainer.removeMapObject(MapObject)</code></a></dd>
</dl>
</li>
</ul>
<a name="removeMapObject-com.here.android.mpa.mapping.MapObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeMapObject</h4>
<pre>public boolean removeMapObject(<a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">MapObject</a> object)</pre>
<div class="block">Removes the specified <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> from this <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a>. If the specified
 <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> is not contained within the <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a>, the container will be
 unchanged.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - A <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> to remove from this <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if the <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> was removed successfully from this <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a>
         , false otherwise</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapContainer.html#removeAllMapObjects--"><code>MapContainer.removeAllMapObjects()</code></a></dd>
</dl>
</li>
</ul>
<a name="removeAllMapObjects--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeAllMapObjects</h4>
<pre>public boolean removeAllMapObjects()</pre>
<div class="block">Removes all <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> objects currently within this <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if all <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> objects were removed successfully from this
         <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a>, false otherwise</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapContainer.html#removeMapObject-com.here.android.mpa.mapping.MapObject-"><code>MapContainer.removeMapObject(MapObject)</code></a></dd>
</dl>
</li>
</ul>
<a name="getAllMapObjects--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAllMapObjects</h4>
<pre>public java.util.List&lt;<a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">MapObject</a>&gt; getAllMapObjects()</pre>
<div class="block">Returns the list of all <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> objects within this <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a>.
 Modifications to objects returned from the array are not guaranteed to be reflected properly
 in the <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a>. Use <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html#addMapObject-com.here.android.mpa.mapping.MapObject-"><code>MapContainer.addMapObject(MapObject)</code></a> and
 <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html#removeMapObject-com.here.android.mpa.mapping.MapObject-"><code>MapContainer.removeMapObject(MapObject)</code></a> to modify individual array elements.
 <p>
 Note: the order of the <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a>s returned in the <code>List</code> is arbitrary. There is
 no guarantee the list is sorted in the order the <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a>s were added to the
 <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a>.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A list containing all <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> objects within the <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a>. If
         the <a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><code>MapContainer</code></a> contains no map object, an empty array will be returned.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapContainer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/MapCircle.PatternStyle.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/MapFragment.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/MapContainer.html" target="_top">Frames</a></li>
<li><a href="MapContainer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.classes.inherited.from.class.com.here.android.mpa.mapping.MapObject">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
